Bug 1127485 - [abrt] control-center: WebCore::Style::determineChange(): gnome-control-center killed by SIGSEGV
Summary: [abrt] control-center: WebCore::Style::determineChange(): gnome-control-cente...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: control-center
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Control Center Maintainer
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:1be9deb0fecee69fdaf38f7077e...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-07 00:14 UTC by Sergio Pascual
Modified: 2015-06-29 21:57 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:57:33 UTC


Attachments (Terms of Use)
File: backtrace (75.07 KB, text/plain)
2014-08-07 00:15 UTC, Sergio Pascual
no flags Details
File: cgroup (180 bytes, text/plain)
2014-08-07 00:15 UTC, Sergio Pascual
no flags Details
File: core_backtrace (35.01 KB, text/plain)
2014-08-07 00:15 UTC, Sergio Pascual
no flags Details
File: dso_list (28.87 KB, text/plain)
2014-08-07 00:15 UTC, Sergio Pascual
no flags Details
File: environ (1.57 KB, text/plain)
2014-08-07 00:15 UTC, Sergio Pascual
no flags Details
File: exploitable (82 bytes, text/plain)
2014-08-07 00:15 UTC, Sergio Pascual
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-07 00:15 UTC, Sergio Pascual
no flags Details
File: maps (135.32 KB, text/plain)
2014-08-07 00:15 UTC, Sergio Pascual
no flags Details
File: open_fds (1.18 KB, text/plain)
2014-08-07 00:15 UTC, Sergio Pascual
no flags Details
File: proc_pid_status (951 bytes, text/plain)
2014-08-07 00:15 UTC, Sergio Pascual
no flags Details
File: var_log_messages (199 bytes, text/plain)
2014-08-07 00:15 UTC, Sergio Pascual
no flags Details

Description Sergio Pascual 2014-08-07 00:14:56 UTC
Description of problem:
Open control center, go to online accounts, add online account, click on google and the application crashes

Version-Release number of selected component:
control-center-3.10.3-2.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        gnome-control-center --overview
crash_function: WebCore::Style::determineChange
executable:     /usr/bin/gnome-control-center
kernel:         3.15.7-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 WebCore::Style::determineChange at Source/WebCore/style/StyleResolveTree.cpp:61
 #1 WebCore::Style::resolveTree at Source/WebCore/style/StyleResolveTree.cpp:474
 #2 WebCore::Document::recalcStyle at Source/WebCore/dom/Document.cpp:1777
 #3 WebCore::Document::updateStyleIfNeeded at Source/WebCore/dom/Document.cpp:1828
 #4 WebCore::ThreadTimers::sharedTimerFiredInternal at Source/WebCore/platform/ThreadTimers.cpp:129
 #5 WebCore::timeout_cb at Source/WebCore/platform/gtk/SharedTimerGtk.cpp:49
 #11 gtk_dialog_run at gtkdialog.c:1075
 #12 get_tokens_and_identity at goaoauth2provider.c:1123
 #13 goa_oauth2_provider_add_account at goaoauth2provider.c:1271
 #14 goa_provider_add_account at goaprovider.c:380

Comment 1 Sergio Pascual 2014-08-07 00:15:02 UTC
Created attachment 924666 [details]
File: backtrace

Comment 2 Sergio Pascual 2014-08-07 00:15:04 UTC
Created attachment 924667 [details]
File: cgroup

Comment 3 Sergio Pascual 2014-08-07 00:15:06 UTC
Created attachment 924668 [details]
File: core_backtrace

Comment 4 Sergio Pascual 2014-08-07 00:15:08 UTC
Created attachment 924669 [details]
File: dso_list

Comment 5 Sergio Pascual 2014-08-07 00:15:09 UTC
Created attachment 924670 [details]
File: environ

Comment 6 Sergio Pascual 2014-08-07 00:15:10 UTC
Created attachment 924671 [details]
File: exploitable

Comment 7 Sergio Pascual 2014-08-07 00:15:11 UTC
Created attachment 924672 [details]
File: limits

Comment 8 Sergio Pascual 2014-08-07 00:15:16 UTC
Created attachment 924673 [details]
File: maps

Comment 9 Sergio Pascual 2014-08-07 00:15:17 UTC
Created attachment 924674 [details]
File: open_fds

Comment 10 Sergio Pascual 2014-08-07 00:15:19 UTC
Created attachment 924675 [details]
File: proc_pid_status

Comment 11 Sergio Pascual 2014-08-07 00:15:20 UTC
Created attachment 924676 [details]
File: var_log_messages

Comment 12 Ian Dall 2014-12-09 12:50:26 UTC
Possible duplicate of 1026310

Comment 13 Fedora End Of Life 2015-05-29 12:34:33 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2015-06-29 21:57:33 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.